# Copyright (C) 2024 by Animath
# SPDX-License-Identifier: GPL-3.0-or-later

from django.contrib.auth.mixins import LoginRequiredMixin
from django.utils.translation import gettext_lazy as _
from django.views.generic import TemplateView


class ChatView(LoginRequiredMixin, TemplateView):
    """
    This view is the main interface of the chat system, which is working
    with Javascript and websockets.
    """
    template_name = "chat/chat.html"
    extra_context = {'title': _("Chat")}
